Subject: Re: bug#25126: 26.0.50; Gnus reacts poorly to email flags being changed behind its back

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 Apr 2018 00:44:41 +0200

Daniel Colascione <[email-masked]> writes:

> I'm trying an email setup that involves pointing Gnus as a maildir tree
> and having mbsync run from cron and, well, sync with an IMAP server.
> Sometimes, if I open a mail group in Gnus, read a message, and before
> leaving that mail group, go read that message on another client, the
> cron job will change the message-file's flags behind Gnus's back,
> causing Gnus to raise an error when I try to leave the group,
> complaining that a message file it thought existed no longer exists
> (because it's been renamed).
>
> Can Gnus cope better with other programs modifying messages concurrently?

Just to clarify -- these problems are with nnmaildir and not nnimap?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no